# Vault Save Compatibility [Beta]
Beta release!!! Please provide feedback after reading "Known Bugs".  
[>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)  

- **What:** A code-only mod that patches H3VR's "SpawnVaultFile" method to allow compatibility with broken mods.
- **Why:** Some Mods don't play well with H3VR's Save/Load feature for loadouts, scenes, and quickbelts, causing the files to become un-spawnable. Sometimes if you delete a mod, an old quickbelt you saved will show white squares and can no longer be spawned.  
In mods like **[SafehouseProgression](https://h3vr.thunderstore.io/package/NGA/SafehouseProgression/)**, these errors can be catastrophic, erasing ALL your progress in your safehouse or losing all your extracted gear. **_Well, no more!_**  
- **How:** This mod now ""Fixes"" the problem by simply skipping over broken/erased mods while you spawn the corrupted file.  
If you look at the logs, it'll give you the names of the mods that are broken, so you can reach the mod authors and ask them for a fix. See images below for example:

**>>Image 1<<**: Shows white-square, corresponding to a broken ModulAK Buttstock as seen on spawn table.
![](https://i.imgur.com/HaGTPGr.png)
**>>Image 2<<**: Shows how this mod skips spawning the broken butt-stock.
![](https://i.imgur.com/NQdv0tB.png)


## Known Bugs
* Go report new ones here: [>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)

## Planned Features
- [_] Maintain up to date as H3VR releases newer updates to the game. 

## Versions
### 0.1.0
* Skips over broken mod items in vault file, spawning the rest.
* Does not modify vault files, zero chance of game corruption, easy to uninstall.
